* {
    box-sizing: border-box;
}

.row::after {
    content: "";
    clear: both;
    display: block;
}

[class*="base-col-"] {
    float: left;
    padding: 15px;
}

[class*="col-"] {
    float: left;
    padding: 2px;
    /*border: 1px solid #000000;*/
}

/*html {
    font-family: "Lucida Sans", sans-serif;
}*/
.header {
    background-color: #3E5C9A;
    color: #ffffff;
    padding: 8px;
    text-align: center;
    
    /* nx1 */
    font-size: 12px;
    height: 5%;
    padding: 4px;
}

#headul {
    list-style-type: none;
    margin: 1px;
    padding: 0;
    /* border: 1px solid black;    */
}

#headli{
    /*border: 1px solid red;*/
    padding: 4px;
    margin-left: 0px;
    margin-bottom: 3px;
    background-color: #bfbfbf;
    /*color: #ffffff;*/
    box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);

    /* nx1 */
    font-size: 12px;
    width: 180px;
    background-color: #51a7ee;
    border-radius: 10px;
}
.menu ul {
    margin-left: 4px;
    list-style-type: none;
    margin: 1px;
    padding: 0;
    /*border: 1px solid black;*/

}
.menu li {
    /*border: 1px solid red;*/
    margin-left: 10px;
    padding: 4px;
    margin-bottom: 3px;
    background-color: #bfbfbf;
    /*color: #ffffff;*/
    box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
    
    /* nx1 */
    font-size: 12px;
    width: 180px;
    border-radius: 10px;
}
.menu li:hover {
    background-color: #808080;
}

.footer {
    background-color: #0099cc;
    color: #ffffff;
    text-align: center;
    font-size: 12px;
    padding: 15px;
}

/* For desktop: */
/* .base-col-1 {width: 22%;} */
.base-col-1 {width: 15%;}
.base-col-2 {width: 65%;}
.base-col-3 {width: 40%;}
.base-col-4 {width: 25%;}
.base-col-5 {width: 75%;}
.base-col-10 {width: 100%;}
.base-col-11 {width: 13%;}

.col-1 {width: 10%;}
.col-2 {width: 20%;}
.col-3 {width: 30%;}
.col-4 {width: 40%;}
.col-5 {width: 50%;}
.col-6 {width: 60%;}
.col-7 {width: 70%;}
.col-8 {width: 80%;}
.col-9 {width: 90%;}
.col-10 {width: 100%;}
.col-11 {width: 11%;}
.col-12 {width: 60%;}
.col-13 {width: 45%;}
.col-15 {width: 15%;}
.col-23 {width: 23%;}
.col-25 {width: 25%;}
.col-27 {width: 27%;}
.col-35 {width: 35%;}
.col-45 {width: 45%;}
.col-77 {width: 77%;}
.col-space{width: 2%;}
.col-mini{width: 5%;}
.col-mini-105{width: 10.5%;}

.col-10.center{
    text-align: center;
}
/*
    Content fix Layout
 */

.content-scroller{
    overflow: auto;
}

.sensor-content-scroller{
    overflow: auto;
}

.content-boder{
    border: 1px solid #000000;
    padding: 10px;
}

.demand-monitor-fixlayout{
    padding: 10px;
    width: 800px;
}

.intermittent-monitor-fixlayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 800px;
}

.sensor-fixlayout{
    padding: 1px;
    width: 810px;
}

.network-fixlayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 810px;
}

.conntect-fixlayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 820px;
}

.demand-fixlayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 800px;
}

.intermittent-fixlayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 800px;
}

.fix-fixlayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 800px;
}

.system-fixlayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 800px;
}

.systemerror-fixlayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 1000px;
}

.sensorpara-fixlayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 800px;
}

.sensor-monitor-settinglayout{
    border: 1px solid #000000;
    padding: 10px;
    width: 1000px;
}

.sensorpara-subdiv{
    margin-left: 10px;
}

label{
    font-size: 12px;
}

@media only screen and (max-width: 768px) {
    /* For mobile phones: */
    [class*="base-col-"] {
        width: 100%;
    }

    [class*="col-"] {
        width: 100%;
    }

    .content-scroller{
        overflow: hidden;
    }

    /*.sensor-content-scroller{
        overflow: auto;
    }*/
}

/*
 Input Text Setting
*/

.input-slave{
  width: 35px;  
}

.input-mini {
  width: 30px;
}

.input-midium {
  width: 100px;
}
.input-midium120 {
    width: 120px;
}
.input-midium150 {
    width: 150px;
}
.input-mini-2 {
  width: 45px;
}

.input-midium-center {
    width: 120px;
    text-align: center;
}
  

/*
 Graph Border
*/

.graph-border{
    border: 2px solid #000000;
    margin-right: 5px;
    margin-left: 7px;
    margin-top: 10px; 
    margin-bottom: 10px; 
}

.table-border tr,td, th{
    text-align: center;
    padding: 7px;
    border: 1px solid #595959;
}

.input-year {
  width: 50px;
}

.input-d-m {
  width: 30px;
}

/*
    Link Button In System Setting #Export Button
*/

/*.link-button {
    background-color: #966600;
    border: 0;
    border-radius: 0;
    color: black;
    padding: 1px 6px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    margin: 4px 2px;
    margin: 0px auto;
    cursor: pointer;
}*/

.link-button {
  display: inline-block;
  padding: 2px 6px;
  font-size: 14px;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
  outline: none;
  color: black;
  background-color: #dfdfdf;
  border: 1px solid #737373;
  border-radius: 3px;
  box-shadow: 1px 1px #999;
}

.link-button:hover {
    color: black;
    background-color: #d9ecff;
    font-weight: normal;
}

.link_style{
  outline: none;
}
/*
    error
*/

.errormsg {
    color: #FF0000;
    font-size: 9px;
}

.errormsg_big {
    color: #FF0000;
    font-size: 16px;
    font-weight:bold;
}


/*
  Modal Box
*/

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 15px;
    border: 1px solid #888;
    width: 35%;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

/*
    login
*/

.login{
    margin: auto;
    margin-top: 7%;
    width: 40%;
    /*border: 3px solid green;*/
    padding: 10px;
}

